Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 11:57:19

0001 #! /bin/bash
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 ## copy into local sqlite file the ideal alignment
0006 echo "COPYING locally Ideal Alignment ..."
0007 conddb --yes --db pro copy TrackerAlignment_Upgrade2017_design_v4 --destdb myfile.db
0008 conddb --yes --db pro copy TrackerAlignmentErrorsExtended_Upgrade2017_design_v0 --destdb myfile.db
0009 
0010 echo " TESTING Primary Vertex Validation run-by-run submission ..."
0011 submitPVValidationJobs.py -j UNIT_TEST -D /HLTPhysics/Run2023D-TkAlMinBias-PromptReco-v2/ALCARECO \
0012   -i ${CMSSW_BASE}/src/Alignment/OfflineValidation/test/testPVValidation_Relvals_DATA.ini -r --unitTest || die "Failure running PV Validation run-by-run submission" $?
0013 
0014 echo -e "\n\n TESTING Primary Vertex Validation script execution ..."
0015 # Define script name
0016 scriptName="PVValidation_testingOfflineGT_HLTPhysics_Run2023D_0.sh"
0017 
0018 # Create directory if it doesn't exist
0019 mkdir -p "./testExecution"
0020 
0021 # Check if the script exists and is a regular file
0022 if [ -f "./BASH/${scriptName}" ]; then
0023     # Copy script to the test execution directory
0024     cp -pr "./BASH/${scriptName}" "./testExecution/"
0025 else
0026     # Emit a warning if the script doesn't exist or is not a regular file
0027     echo "Warning: Script '${scriptName}' not found or is not a regular file. Skipping excution of further tests."
0028     exit 0
0029 fi
0030 
0031 # Change directory to the test execution directory
0032 cd "./testExecution" || exit 1
0033 
0034 # Execute the script and handle errors
0035 ./"${scriptName}" || die "Failure running PVValidation script" $?